#ifndef DISKCHECK_H
#define DISKCHECK_H

#include <QWidget>

namespace Ui {
class DiskCheck;
}

class DiskCheck : public QWidget
{
    Q_OBJECT
signals:
    void change(bool);
public:
    explicit DiskCheck(QWidget *parent = nullptr);
    ~DiskCheck();
public slots:
    void accept();
public:
    bool check();
private slots:
    void slotsAddMedium(void *);
    void slotsRemoveMedium(void *);
    void slotsChangeMedium(int);
    void slotsBrowseFile();
private:
    QStringList    m_oCheckFiles;
    QList<void *>  m_oCDROMS;
private:
    Ui::DiskCheck *ui;
};

#endif // DISKCHECK_H
